diff --git mscore/mscore/musescore.cpp mscore/mscore/musescore.cpp
index be46503..bbb41f3 100644
--- mscore/mscore/musescore.cpp
+++ mscore/mscore/musescore.cpp
@@ -2208,12 +2208,6 @@ int main(int argc, char* av[])
 
       synti = new MasterSynth();
       seq   = new Seq();
-      if (!noSeq) {
-            if (!seq->init()) {
-                  printf("sequencer init failed\n");
-                  noSeq = true;
-                  }
-            }
       //
       // avoid font problems by overriding the environment
       //    fall back to "C" locale
@@ -2242,6 +2236,13 @@ int main(int argc, char* av[])
       initProfile();
       mscore = new MuseScore();
       gscore = new Score(MScore::defaultStyle());
+      
+      if (!noSeq) {
+            if (!seq->init()) {
+                  printf("sequencer init failed\n");
+                  noSeq = true;
+                  }
+            }
 
       //read languages list
       mscore->readLanguages(mscoreGlobalShare + "locale/languages.xml");
diff --git mscore/mscore/seq.cpp mscore/mscore/seq.cpp
index 241cb8c..b3cd511 100644
--- mscore/mscore/seq.cpp
+++ mscore/mscore/seq.cpp
@@ -346,8 +346,10 @@ void Seq::stop()
 
 void MuseScore::seqStarted()
       {
-      cv->setCursorOn(true);
-      cs->end();
+      if(cv)
+            cv->setCursorOn(true);
+      if(cs)
+            cs->end();
       }
 
 //---------------------------------------------------------
